21406: Acronis Backup & Recovery 10: SnapAPI Module Does Not Compile on Kernel 2.6.37 or Higher

use Google Translate

Operating Systems: 

This has been fixed.

This article applies to:

  • Acronis Backup & Recovery 10 Advanced Server (Agent for Linux)
  • Acronis Backup & Recovery 10 Server for Linux (Standalone)
  • Acronis Backup & Recovery 10 Advanced Server - Virtual Edition (Agent for Linux)

Symptoms

An attempt to compile SnapAPI module on kernel 2.6.37 or higher fails with numerous error messages.

Sample error log

Cause

This is a known issue.

Solution

This has been fixed in Build 13762 and the fix is available in the latest build of the product. See Installation of the latest update of an Acronis product.

To resolve the issue without downloading the latest build, download and compile the following SnapAPI module with the fix:

snapapi26_modules-0.7.59-1.noarch.zip

More information

Please contact Acronis Customer Central if you need assistance.

Tags: 

You are reporting a typo in the following text:
Simply click the "Send typo report" button to complete the report. You can also include a comment.
CAPTCHA
This question is for testing whether or not you are a human visitor and to prevent automated spam submissions.
8 + 11 =
Solve this simple math problem and enter the result. E.g. for 1+3, enter 4.